<?php

namespace App;

use Nette,
	Nette\Application\Routers\RouteList,
	Nette\Application\Routers\Route,
	Nette\Application\Routers\CliRouter;


/**
 * Router factory.
 */
class RouterFactory
{
	//public function __construct(Nette\DI\Container $container) { ... }


	/**
	 * @return \Nette\Application\IRouter
	 */
	public static function createRouter()
	{
		$router = new RouteList();
		//if ($container->params['consoleMode']) {
    		//$application->allowedMethods = FALSE;
    		$router[] = new CliRouter('Cron:checkReservations');
		//} else {
		$router[] = new Route('<presenter>/<action>[/<id>]', '*:default');
		return $router;
		//}
	}

}
