#!bin/bash

#####
## Deletes reservation after two hours 
#####

## DB settings
DB_USER="root"
DB_PASS="heslo"
DB_HOST="127.0.0.1"
#DB_PORT=""
DB_NAME="test"

mysql -u$DB_USER -p$DB_PASS -h$DB_HOST -D$DB_NAME <<EOFMYSQL
	UPDATE reservations
	JOIN reservations_seats ON reservations_seats_reservations_id = id_reservations
	JOIN events ON id_events = reservations_events_id
	JOIN seats_layout_events ON seats_layout_events_seats_id = reservations_seats_seats_id
	SET seats_layout_events_available = IF(seats_layout_events_available = "0", "1", "VIP_1"),
	    reservations_is_active = 0
	WHERE reservations_time < SUBDATE( CURRENT_TIMESTAMP, INTERVAL 2 HOUR) AND
	      reservations_is_active = 1 AND
	      id_seats_layout_events >= events_seats_layout_events_min AND
	      id_seats_layout_events <= events_seats_layout_events_max;
EOFMYSQL
