$.fn.clicktoggle = function(a, b) {
    return this.each(function() {
        var clicked = false;
        $(this).click(function() {
            if (clicked) {
                clicked = false;
                return b.apply(this, arguments);
            }
            clicked = true;
            return a.apply(this, arguments);
        });
    });	
};

$(window).load(function(){

    var selected = [];

    $("#seat-plan span:not('.unavailable'):not('.vips')").clicktoggle(addVip, removeVip);

    function addVip(){
        $(this).attr({'class':'vips'});
        selected.push( $(this).attr('data-id') );
    }

    function removeVip() {
        $(this).attr({'class':'available'});
        var id = $(this).attr('data-id');

        $.each(selected, function(key, value){
            if (value == id){
                selected.splice(key,1); 
                return false;
            }
        });
    }

    $('input[type="submit"]').click(function(e){
        if (selected.length !== 0){
            $('input[name="json"]:hidden').val(JSON.stringify(selected));   
        } else {
            e.preventDefault();
            alert("You have to select some seat first.");
        }
    });

});