$(document).ready(function () {
  $('.delete').on('click',function(e, data){
    e.preventDefault();
    var link = $(this);
    swal({
      title: "Are you sure?",
      text: "You will not be able to recover the role again!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: "#DD6B55",
      confirmButtonText: "Yes, delete!"
    },
    function (isConfirm) {
      if (isConfirm) {
      	$.ajax({
	   		  url:link.attr('href'),
      		success:function(data){
	    	    swal("Success!", "Role was deleted!", "success");
      		},
      		error:function(data){
	    	    swal("Oops...", "Something went wrong.", "error");
      		}
      	});
      }
    });
  });
  
});